mohammad1408

خطا درکاهش API برنامه در اندروید استدیو

1 ارسال در این موضوع قرار دارد

ارسال شده در (ویرایش شده)

سلام

من برنامه ایی رو طراحی کردم که در قسمتی از آن لاگین و ثبت نام و ارسال اس ام اس داره

وقتی روی گوشی های مختلف اجراش میکردم دیدم روی گوشی هایی که اندرویدشون کمتر از 6 هست برنامه باز میشه ولی قسمت ارسال اس ام اس کار نمیکنه و از برنامه میاد بیرون 

خب فهمیدیم که مال ورژن برنامه است که توی برنامه زده sdk 25  من وقتی برنامه رو  ایجاد کردم از همون اول sdk  رو روی 15  تنظیم کردم  حالا روی 25 داخل فایل gradel  تنظیم شده و فقط min sdkversion  روی 15 تنظیم شده، وقتی اومدم ورژن رو تغییر بدم به من میگه که سینک بکن و باید دانلود بکنم فایل ها sdk15  رو که دانلود میکنم ولی بعدش خطا میده همه چی میریزه به هم

جالبیش اینه که اومدم یه پروژه جدید ایجاد کردم و به اون هم گفتم API 19  که اندروید ورژن 4.4 میشه برام بساز وقتی ساختم دیدیم باز هم غیر از min sdkversin ما بقی مولفه ها روی 25 تنظیم شده و باز هم وقتی خواستم با کلید های ترکیبی ctrl+alt+shift+s ورژن رو تغییر بدم بعد از درخواست سینک کردن برنامه، به برنامه ایی که هیچ کدی نداره هم خطا میده 

نمیدونم والا چیکار کنم ممنون میشم کمکم کنین

با تشکر

ویرایش شده در توسط mohammad1408

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری